package rendercell
{
	function AIPlayer::rendermanLoop(%this) {
		Parent::rendermanLoop(%this);
		%rnd=getRandom(1,300);
		//echo(%rnd);
		if(%rnd == 1) { // call their cell?
			if(!isObject(%this.RendermanTarget.client)) //is the client there?
				return;
			if(%this.RendermanTarget.client.renderCall) //is the client in a call already?
				return;
			%this.rendermanScareCall(); // call their cell
		}
	}
};
deactivatepackage(rendercell);
activatepackage(rendercell);
function AIPlayer::rendermanScareCall(%this) {
	%client=%this.RendermanTarget.client;
	messageClient(%client,'',"\c3rEndERMaN\c6 is calling you. Type \c3/answer \c6to answer or \c3/ignore\c6 to ignore.");
	%client.timesRung=0;
	%client.renderCall=1;
	Renderman_ScareCallLoop(%client);
}
function Renderman_ScareCallLoop(%this){
	echo("trying to call " @ %this.name);
	if(!isObject(%this)){
		echo(isObject(%this));
		%this.renderCall=0;
		%this.timesRung=0;
		return;
	}
	echo("client/render exists");
	if(%this.inRenderCall){
		%this.timesRung=0;
		echo("in a rendy call");
		return;
	}
	%this.timesRung++;
	if(%this.timesRung==6){
		echo("no response");
		%this.timesRung=0;
		%this.renderCall=0;
		return;
	}
	echo("not done ringing");
	if(%this.renderCall==0){
		echo("rendercall==0");
		%this.timesRung=0;
		return;
	}
	echo("passed");
	%this.play2d("Phone_Ring_2_Sound");
	schedule(4000,0,Renderman_ScareCallLoop,%this);
}
function serverCmdAnswer(%client){
	if(!%client.renderCall && !%client.timesRung){
		messageClient(%client,'',"\c3You have no call to answer.");
		return;
	}
	%client.inRenderCall=1;
	%client.timesRung=0;
	messageClient(%client,'',"\c6You answered the phone call from \c3rEndERMaN.\c6 To Hang up type \c3/hangup.");
	schedule(getRandom(1000,2000),0,ScareCall_1(%client));
}
function serverCmdIgnore(%client){
	if(!%client.renderCall && !%client.timesRung){
		messageClient(%client,'',"\c3No call to ignore.");
		return;
	}
	messageClient(%client,'',"\c3You press the \c0End Call\c3 button but it does nothing.");
}
function serverCmdHangup(%client){
	if(!%client.renderCall){
		messageClient(%client,'',"\c3You have no call to hang up on.");
		return;
	}
	messageClient(%client,'',"\c3You press the \c0End Call\c3 button but it does nothing.");
}
function ScareCall_1(%client){
	if(!isObject(%client))
		return;
	%a = -1;
	%say[%a++] = "Hmmmm....";
	%say[%a++] = "Is someone there?";
	%say[%a++] = "dun dun dun...";
	%say[%a++] = "I see you";
	%say[%a++] = "Looking for me?";
	%say[%a++] = "What are you looking at?";
	%msg=%say[getRandom(0,%a)];
	%frozen=false;
	if(%client.player.frozen){
		%b=-1;
		%newSay[%b++]="I'm right behind you";
		%newSay[%b++]="Look at me";
		%newSay[%b++]="Close your eyes and turn with me";
		%newSay[%b++]="Forgive me";
		%newSay[%b++]="You can't run";
		%frozen=true;
		%msg=%newSay[getRandom(0,%b)];
	}
	messageClient(%client,'','\c3[\c2Call \c6- \c4rEndERMaN\c3]: \c6%1',%msg);
	schedule(getRandom(2000,4000),0,ScareCall_2,%client,%frozen);
}
function ScareCall_2(%client,%frozen){
	if(!isObject(%client))
		return;
	messageClient(%client,'',"\c3[\c2Call \c6- \c4rEndERMaN\c3]: \c6Goodbye.");
	schedule(getRandom(500,1500),0,ScareCall_3,%client,%frozen);
}
function ScareCall_3(%client,%frozen){
	if(!isObject(%client))
		return;
	messageClient(%client,'',"\c3rEndERMaN Ended the call");
	if(%frozen){
		%this=%client.player;
		%this.setWhiteOut(1);
		%client.play2d(renderdeath);
		%client.play2d(renderdeath);
		hideAllNodes(%this);
		%this.kill();
		serverplay2d(renderabduct);
		echo(%client.name SPC "was killed by cell phone");
	}
	%client.renderCall=0;
	%client.timesRung=0;
	%client.inRenderCall=0;
}
